Folks.LocalIdDetails.change_local_ids – folks Reference Manual

# change_local_ids

## Description:

public virtual async void change_local_ids (Set<string> local_ids) throws PropertyError

Change the contact's local IDs.

It's preferred to call this rather than setting LocalIdDetails.local_ids directly, as this method gives error notification and will only return once the local IDs have been written to the relevant backing store (or the operation's failed).

## Parameters:

local_ids | the set of local IDs

## Exceptions:

PropertyError | if setting the local IDs failed

## Since:

0.6.2